unit ClsEstimate;

interface

type
  TEstimateItem = record
    strDescription : string;
    dCost          : double;
  end;

  TClsEstimate = class
    private
      EstimateItems : Array[1..10] of TEstimateItem;
      EstimateCount : Integer;
    public
      constructor Create;
      procedure AddEstimateItem(strDesc : string; dValue : double);
      function GetItem(nItemIndex : integer) : string;
      function GetCost(n : integer) : double;
      function ItemCount : integer;
      procedure ResetCount;
  end;

implementation

(* ******************************************* *)

procedure TClsEstimate.AddEstimateItem(strDesc: string; dValue: double);
begin
  EstimateItems[EstimateCount].strDescription := strDesc;
  EstimateItems[EstimateCount].dCost := dValue;
  Inc(EstimateCount);
end;

(* ******************************************* *)

constructor TClsEstimate.Create;
begin
  inherited Create;
  EstimateCount := 1;
end;

(* ******************************************* *)

function TClsEstimate.GetCost(n: integer): double;
begin
  GetCost := EstimateItems[n].dCost;
end;

(* ******************************************* *)

function TClsEstimate.GetItem(nItemIndex: integer): string;
begin
  GetItem := EstimateItems[nItemIndex].dCost.ToString + ' ' +
             EstimateItems[nItemIndex].strDescription;
end;

(* ******************************************* *)

function TClsEstimate.ItemCount: integer;
begin
  ItemCount := EstimateCount - 1;
end;

(* ******************************************* *)

procedure TClsEstimate.ResetCount;
var nLoop: Integer;
begin
  for nLoop := 1 to EstimateCount do begin
    EstimateItems[nLoop].dCost := 0;
    EstimateItems[nLoop].strDescription := '';
  end;

  EstimateCount := 1;
end;

(* ******************************************* *)

end.
